Bug 1478565

Summary: Error generating reports after upgrading to 4.5
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: ReportingAssignee: Yuri Rudman <yrudman>
Status: CLOSED ERRATA QA Contact: Niyaz Akhtar Ansari <nansari>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 5.8.0CC: cpelland, gtanzill, jhardy, myoder, nansari, obarenbo, simaishi, yrudman
Target Milestone: GAKeywords: ZStream
Target Release: 5.8.2   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: report
Fixed In Version: 5.8.2.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1464154 Environment:
Last Closed: 2017-10-24 00:36:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1464154    
Bug Blocks:    

Comment 2 CFME Bot 2017-08-04 19:51:53 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/fec5287534126e44555e4096997e0745e798b416

commit fec5287534126e44555e4096997e0745e798b416
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Jul 13 09:27:04 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 15:47:13 2017 -0400

    Merge pull request #15554 from yrudman/cust-ram_size_in_bytes-to-bigint
    
    Cast virtual attribute 'Hardware#ram_size_in_bytes' to bigint
    (cherry picked from commit a1b007b9c76f62a5d152720039b782358fdd7629)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478565

 app/models/hardware.rb       | 6 +++++-
 spec/models/hardware_spec.rb | 5 +++++
 2 files changed, 10 insertions(+), 1 deletion(-)

Comment 3 Niyaz Akhtar Ansari 2017-09-06 11:54:39 UTC
I Upgraded my appliance to 4.5. Report is generating and It works fine with no error.
Verified in Version 5.8.2.0.20170824192913_b09a5f8

Comment 5 errata-xmlrpc 2017-10-24 00:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005